ACH Payments

Making an ACH Payment

POST /api/pp/payments/authorize

Request Parameters
Field Description Required Format Max Len
method Payment method Yes "ACH" 10
amount US Dollar amount of payment Yes 9999.99 12
routing_number Bank routing number Yes [0-9] 9
account_number Bank account number Yes [0-9] 20
account_type Bank account type Yes See below 1
first_name Check writer first name Yes [A-z] 50
last_name Check writer last name Yes [A-z] 50
address Check writer address Yes   50
city Check writer city Yes   50
state Check writer state Yes [A-Z] 2
zip_code Check writer ZIP code Yes [0-9] 5
tracking_id Customer provided value for tracking payment No   50
memo Short memo or transaction descriptor No   100
save_profile Save payment profile No 1 = Yes, 0 = No 1

Patient Request Parameters
Field Description Required Format Max Len
patient_id Unique ID for the patient No UUID 36
patient_external_id Unique value for identifying the patient in your system No   50
patient_prefix Prefix No   50
patient_first_name First Name No [A-z] 50
patient_last_name Last Name No [A-z] 50
patient_suffix Suffix No   50
patient_gender Gender No M|F 1
patient_birth_date Date of Birth No mm/dd/yyyy 10
patient_address_line1 Address Line 1 No   50
patient_address_line2 Address Line 2 No   50
patient_city City No   50
patient_state State No [A-Z] 2
patient_zip_code ZIP Code No 999999999 9
patient_primary_phone Primary Phone Number No 9999999999 10
patient_mobile_phone Mobile Phone Number No 9999999999 10
patient_email_address Email Address No   128

Payment Plan Request Parameters
Field Description Required Format Max Len
payment_plan_id Unique ID for the payment plan No UUID 36

Account Type Values
Value Description
C Checking account
S Savings account

Response Parameters
Field Description Format Max Len
id Unique ID for this payment UUID 36
method Payment method "ACH" 10
results Result of transaction See below 10
code Approval or error code   6
message Approval or error message   32
risk_indicator Risk Indicator See below 1
timestamp Date and time the transaction was made YYYY-MM-DDThh:mm:ssZ 25
tracking_id Customer provided value for tracking payment   50
settlement_date Date the transaction settled YYYY-MM-DD 10
repaid_date Date the transaction was funded to client YYYY-MM-DD 10
gateway Payment gateway used See below 50
memo Short memo or transaction descriptor   100

Payment Action Values
Value Description
AUTHORIZE A payment authorization
VOID A void of a previous PAYMENT
CREDIT A credit (refund) of a previous PAYMENT

Payment Results Values
Value Description
APPROVED Payment was approved
DECLINED Payment was declined
FAILED Payment attempt failed

Risk Indicator Values
Value Description
01 Max Sale Exceeded
02 Min Sale Not Met
03 1 Day Volume Exceeded
04 1 Day Usage Exceeded
05 3 Day Volume Exceeded
06 3 Day Usage Exceeded
07 15 Day Volume Exceeded
08 15 Day Usage Exceeded
09 30 Day Volume Exceeded
10 30 Day Usage Exceeded

Payment Gateway Values
Value Description
VANTIV Vantiv/Worldpay VAP
TRIPOS Worldpay TriPOS EMV/Express
SAGE Sage/Paya/Nuvei
TSYS TSYS/Global Payments

Example
POST /api/pp/payments
Content-Type: application/json
Content-Type: application/x-www-form-urlencoded

Parameters
Field Value
methodach
amount1000.00
routing_number123456789
account_number111111111111
account_typeC
first_nameJohn
last_nameDoe
address123 North St
cityTampa
stateFL
zip_code33634
tracking_idPM1234-010
memoMonthly Payment

Response


{
	"id" : "e3835b53-509d-42f9-8e26-3405fd200917",
	"method" : "ACH",
	"action" : "AUTHORIZE",
	"results" : "APPROVED",
	"code" : null,
	"message" : "ACCEPTED",
	"risk_indicator" : "00",
	"timestamp" : "2013-01-31T16:10:00Z",
	"tracking_id" : "PM1234-010",
	"settlement_date" : null,
	"repaid_date" : null,
	"gateway" : "VANTIV",
	"client_id" : "T5QRP4B8",
	"memo" : "Monthly Payment"
}

Getting a Payment

GET /api/pp/payments/{id}

Example
GET /api/pp/payments/e3835b53-509d-42f9-8e26-3405fd200917

Response


{
	"id" : "e3835b53-509d-42f9-8e26-3405fd200917",
	"method" : "ACH",
	"action" : "AUTHORIZE",
	"results" : "APPROVED",
	"code" : null,
	"message" : "ACCEPTED",
	"risk_indicator" : "00",
	"timestamp" : "2013-01-31T16:10:00Z",
	"tracking_id" : "PM1234-010",
	"settlement_date" : "2013-02-01",
	"repaid_date" : "2013-02-02",
	"gateway" : "VANTIV",
	"client_id" : "T5QRP4B8",
	"memo" : "Monthly Payment"
}

Getting a list of Payments

GET /api/pp/payments?start_time={start_time}&end_time={end_time}

Request Parameters
Field Description Format Max Len
start_time Beginning date / time YYYY-MM-DDThh:mm:ssZ 20
end_time Ending date / time YYYY-MM-DDThh:mm:ssZ 20

Example
GET /api/pp/payments?start_time=2013-01-31T16:00:00Z&end_time=2013-01-31T16:15:00Z

Response
[


{
	"id" : "aa5122c7-f0fb-489b-ac68-aa0e21068cbb",
	"method" : "CARD",
	"action" : "AUTHORIZE",
	"results" : "APPROVED",
	"code" : "050605",
	"message" : "APPROVED 050605",
	"cvv_indicator" : "P",
	"avs_indicator" : "Y",
	"risk_indicator" : "00",
	"timestamp" : "2013-01-31T16:00:00Z",
	"tracking_id" : "PM1234-009",
	"settlement_date" : "2013-02-01",
	"repaid_date" : "2013-02-02",
	"gateway" : "VANTIV",
	"client_id" : "T5QRP4B8",
	"memo" : "Monthly Payment"
}
,


{
	"id" : "e3835b53-509d-42f9-8e26-3405fd200917",
	"method" : "ACH",
	"action" : "AUTHORIZE",
	"results" : "APPROVED",
	"code" : null,
	"message" : "ACCEPTED",
	"risk_indicator" : "00",
	"timestamp" : "2013-01-31T16:10:00Z",
	"tracking_id" : "PM1234-010",
	"settlement_date" : "2013-02-01",
	"repaid_date" : "2013-02-02",
	"gateway" : "VANTIV",
	"client_id" : "T5QRP4B8",
	"memo" : "Monthly Payment"
}
]

Voiding a Payment

POST /api/pp/payments/{id}/void

Response Parameters
Field Description Format Max Len
id Unique ID for this void UUID 36
method Payment method "ACH" 10
action Payment action "VOID" 10
results Result of transaction See below 10
code Approval or error code   6
message Approval or error message   32
timestamp Date and time the transaction was made YYYY-MM-DDThh:mm:ssZ 25

Example
POST /api/pp/payments/e3835b53-509d-42f9-8e26-3405fd200917/void

Response
{
	"id" : "6A34092E-3AB2-4C6A-AAE6D28E72C4DF33",
	"method" : "ACH",
	"action" : "VOID",
	"results" : "APPROVED",
	"code" : null,
	"message" : "APPROVED",
	"timestamp" : "2013-01-31T16:20:00Z"
}